Package net.snowflake.client.core

## Class HttpResponseContextDto

- java.lang.Object
- - net.snowflake.client.core.HttpResponseContextDto

    @SnowflakeJdbcInternalApi
    public class HttpResponseContextDto
    extends Object

### Constructor Summary

Constructors
`HttpResponseContextDto()`
`HttpResponseContextDto​(org.apache.http.client.methods.CloseableHttpResponse httpResponse, String unpackedCloseableHttpResponse)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.http.client.methods.CloseableHttpResponse` `getHttpResponse()`
`Exception` `getSavedEx()`
`String` `getUnpackedCloseableHttpResponse()`
`void` `setHttpResponse​(org.apache.http.client.methods.CloseableHttpResponse httpResponse)`
`void` `setSavedEx​(Exception savedEx)`
`void` `setUnpackedCloseableHttpResponse​(String unpackedCloseableHttpResponse)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpResponseContextDto

    public HttpResponseContextDto()

#### HttpResponseContextDto

    public HttpResponseContextDto​(org.apache.http.client.methods.CloseableHttpResponse httpResponse,
                                  String unpackedCloseableHttpResponse)

### Method Detail

#### getHttpResponse

    public org.apache.http.client.methods.CloseableHttpResponse getHttpResponse()

#### setHttpResponse

    public void setHttpResponse​(org.apache.http.client.methods.CloseableHttpResponse httpResponse)

#### getUnpackedCloseableHttpResponse

    public String getUnpackedCloseableHttpResponse()

#### setUnpackedCloseableHttpResponse

    public void setUnpackedCloseableHttpResponse​(String unpackedCloseableHttpResponse)

#### getSavedEx

    public Exception getSavedEx()

#### setSavedEx

    public void setSavedEx​(Exception savedEx)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`